# EZ_SetScrollbarDiscreteSpeed

##

##

##

##

##

    NAME
           EZ_SetScrollbarDiscreteSpeed  - set the discrete scrolling
           speed of a scrollbar

    SYNOPSIS
           #include <EZ.h>

           int EZ_SetScrollbarDiscreteSpeed(EZ_Widget *scrollbar, int speed)

    ARGUMENTS
           scrollbar  Specifies a scrollbar widget.

           speed  Specifies a positive integer.

    DESCRIPTION
           EZ_SetScrollbarDiscreteSpeed sets the  discrete  scrolling
           speed of a scrollbar. The discrete scrolling speed is used
           when the arrow button on the scrollbar is pressed  or  one
           of  the relevent arrow keys is pressed while the scrollbar
           is in focus.

           The default discrete scrolling speed is 1. The interpreta-
           tion  of  this  speed depends on the context. For internal
           widgets that use scrollbars, the meaning is following: for
           TextWidget  and  ListBox, the scrolling unit is the height
           of a text line; for Fancy ListBox,  TreeWidget,  WorkArea,
           the scrolling unit is one pixel.

           This function returns the current discrete scrolling speed
           of the scrollbar.

    SEE ALSO
           EZ_SetHScrollbarDiscreteSpeed(3),     EZ_SetVScrollbarDiscreteSpeed(3)
           , EZ_GetScrollbarState(3)